package model

import "gorm.io/gorm"

type ColorSpu struct {
	gorm.Model
	StyleNumber string `gorm:"uniqueIndex:style; size:50; not null"`
	ColorCode   string `gorm:"uniqueIndex:style; size:50; not null"`
	// 外键
	Skus Skus `gorm:"foreignKey:StyleNumber,ColorCode; references:StyleNumber,ColorCode; constraint:OnUpdate:CASCADE,OnDelete:CASCADE;"`
}

type ColorSpus []ColorSpu
